PlacementConstraint.CompositeConstraint (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.resource, class: PlacementConstraint, class: CompositeConstraint

Package org.apache.hadoop.yarn.api.resource

# Class PlacementConstraint.CompositeConstraint<R extends PlacementConstraint.Visitable>

java.lang.Object
org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint
org.apache.hadoop.yarn.api.resource.PlacementConstraint.CompositeConstraint<R>

Type Parameters:
  `R` - the type of constraints that are used as children of the specific composite constraint

All Implemented Interfaces:
  `PlacementConstraint.Visitable`

Direct Known Subclasses:
  `PlacementConstraint.And`, `PlacementConstraint.DelayedOr`, `PlacementConstraint.Or`

Enclosing class:
  PlacementConstraint

public abstract static class PlacementConstraint.CompositeConstraint<R extends PlacementConstraint.Visitable> extends PlacementConstraint.AbstractConstraint
Class that represents composite constraints, which comprise other constraints, forming a constraint tree.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompositeConstraint()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `abstract List<R>`
  `getChildren()`
  Get the children of this composite constraint.
  `int`
  `hashCode()`

  ### Methods inherited from class org.apache.hadoop.yarn.api.resource.PlacementConstraint.AbstractConstraint

  `build, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.yarn.api.resource.PlacementConstraint.Visitable

  `accept`

- ## Constructor Details

  - ### CompositeConstraint

    public CompositeConstraint()

- ## Method Details

  - ### getChildren

    public abstract List<R> getChildren()
    Get the children of this composite constraint.
    Returns:
      the children of the composite constraint

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`